/* customize headers */
h1, h2, h3, h4, h5, h6 {
  margin-top: 10px;
  margin-bottom: 20px;
}

/* pseudo-protection of e-mail addresses */
.protected-e-mail:before {
  content: attr(data-website) "\0040" attr(data-user);
  unicode-bidi: bidi-override;
  direction: rtl;
}

.box-left-align {
  text-align: left;
}

.just-white {
  color: white;
}

@media (min-width:992px) {
  section.bar.background-white div.container div.col-md-12 div.row {
    display: flex;
    justify-content: center;
  }
}

@media (min-width:768px) and (max-width:1199px) {
  ul.owl-carousel.customers.owl-theme div.owl-wrapper-outer div.owl-wrapper {
    display: flex !important;
    width: 100% !important;
    justify-content: center;
  }
}

.home-carousel .owl-carousel .row {
  margin-right: 0;
  margin-left: 0;
}

.home-carousel h1 {
  color: rgba(0,0,0,0.6);
  text-shadow: 2px 2px 3px rgba(255,255,255,0.5);
  text-transform: none;
  letter-spacing: 0.02em;
}

.home-carousel h3 {
  text-shadow: 1px 1px 2px black;
}

.home-carousel p {
  font-weight: 300;
  text-transform: none;
  letter-spacing: normal;
  text-shadow: 1px 1px 2px black, 1px 1px 5px #248BCC;
}

.home-carousel .owl-carousel {
  padding-top: 100px;
  padding-bottom: 100px;
}

.home-carousel .dark-mask {
  opacity: 0.2;
  filter: alpha(opacity=20);
}

@media (max-width: 767px) {
.paper-plane {
    width: 66%;
    display: block;
    margin: 0 auto;
  }
}

@media (min-width: 768px) {
  .paper-plane {
    width: 25%;
  }
}

/* hide logo in critical width range to avoid layout breakage */
@media (min-width: 768px) and (max-width: 991px) {
  .navbar-brand {
    display: none;
  }
}

/* tweak scroll position to account for sticky header */
[id] {
  scroll-margin-top: 62px;
}

h1, h2, h3, h4, h5, h6 {
  scroll-margin-top: calc(62px + 1em);
}

@media (min-width: 768px) {
  [id] {
    scroll-margin-top: 67px;
  }
  
  h1, h2, h3, h4, h5, h6 {
    scroll-margin-top: calc(67px + 1em);
  }
}

/* tweak page title*/
div#heading-breadcrumbs h1 {
  margin-top: 30px;
  margin-bottom: 30px;
}

/* optimize responsive blog post layout */
@media (min-width: 992px) {
  #blog-post {
    width: 60%;
    margin-right: 175.5px;
  }

  #post-content p {
    font-size: 16px;
    line-height: 1.7;
  }
}

@media (max-width: 992px) {
  #post-content p {
    font-size: 16px;
    line-height: 1.6;
  }
}

/* properly format info box for survey participants on contact page */
#contact.container div.box-simple {
  margin-top: 30px;
  padding-top: 20px;
  padding-left: 30px;
  padding-right: 30px;
  padding-bottom: 30px;
}

/* remove underlining from navigation header titles */
.navbar ul.nav > li > a {
  text-decoration: none;
}

/* properly format blog post images (this is necessary because of the MD render hook `layouts/_default/_markup/render-image.html`) */
#post-content img {
  width: 100%;
  height: auto;
}

/* properly format PDF document thumbnails */
#post-content img.pdf-thumbnail {
  width: 50%;
  height: auto;
}

/* properly format publication banner image */
.blog-post-image {
  width: 100%;
  height: 400px;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: 50% 50%;
  margin-bottom: 40px;
}

/* properly format publication lead */
p.blog-post-lead {
  font-size: 16px;
  line-height: 1.5;
  font-weight: 900;
}

/* properly format publication (sub)headings */
#post-content h1,
#post-content h2,
#post-content h3,
#post-content h4,
#post-content h5,
#post-content h6 {
  margin-top: 40px;
  margin-bottom: 20px;
}

/* disable legend toggling for Plotly elements */
/* 1) hides the svg dom element that has the click handler responsible for toggling */
div.htmlwidget-likert-plot .legend .traces .legendtoggle {
  display: none;
}
/* 2) just for presentation: shows the default cursor instead of the text cursor */
div.htmlwidget-likert-plot .legend .traces .legendtoggle {
  cursor: default;
}

/* customize figure and table captions in posts */
#post-content p.figure-caption,
#post-content p.table-caption {
  font-size: 20px;
  font-weight: 200;
  margin-top: 40px;
}

/* customize plots and tables */
.htmlwidget-plotly,
.custom-table {
  margin-top: 30px;
  margin-bottom: 50px;
}

div.chorddiag {
  width: 100% !important;
  height: 800px !important;
  position: relative;
  z-index: 999;
}

/* add margin below footnotes */
div.footnotes {
  margin-bottom: 40px;
}

/* elements with overflowing responsive width; source: https://css-tricks.com/full-width-containers-limited-width-parents/#article-header-id-3 */
/* full screen width */
@media (min-width: 992px) {
    div.fullwidth {
        margin-left: calc(-50vw + 500px);
        margin-right: calc(-50vw + 500px);
        width: calc(100vw - 30px);
    }
}
@media (min-width: 1200px) {
    div.fullwidth {
        margin-left: calc(-50vw + 600px);
        margin-right: calc(-50vw + 600px);
        width: calc(100vw - 30px);
    }
}
/* 2/3 screen width */
@media (min-width: 992px) {
    div.twothirdswidth {
        margin-left: calc(-33vw + 338px);
        margin-right: calc(-67vw + 662px);
        width: calc(67vw - 30px);
    }
}
@media (min-width: 1200px) {
    div.twothirdswidth {
        margin-left: calc(-33vw + 405px);
        margin-right: calc(-67vw + 795px);
        width: calc(67vw - 30px);
    }
}

/* style <details> tag */
details {
  /* indentation/alignment */
  margin-left: 22px;
}

details > summary {
  /* change cursor to hand when mouse hovers over <details> tag */
  cursor: pointer;
  /* disable default arrow symbol of <details> tag */
  list-style: none;
}
/* disable default arrow symbol of <details> tag for Chrome */
details > summary::-webkit-details-marker {
  display:none;
}
/* use custom icons for <details> tag */
details > summary::before {
  content: "\e816";
  font-family: 'icon-fonts';
  color: #248bcc;
  display: inline-block;
  /* indentation/alignment */
  width: 22px;
  vertical-align: 0.1em;
  margin-left: -22px;
}
details[open] > summary::before {
  content: "\e80D";
}
/* make <strong> inside <details><summary> appear like <h4> */
details > summary > strong {
  color: #333;
  font-weight: 900;
  font-size: 18px;
  color: #248bcc;
}

/* style inline font icons */
.icon2x {
  font-size: 2em
}

i.iconuptinybit {
  vertical-align: 0.06em;
}

i.marginrightbit {
  margin-right: 0.25em;
}

i.icontight {
  margin-left: -0.1em;
  margin-right: -0.1em;
}
i.iconntightleft {
  margin-left: -0.1em;
}
i.icontightright {
  margin-right: -0.1em;
}
i.iconflush {
  margin-left: -0.2em;
  margin-right: -0.2em;
}
i.iconflushleft {
  margin-left: -0.2em;
}
i.iconflushright {
  margin-right: -0.2em;
}
i.iconflushbegin {
  margin-left: -0.1em;
  margin-right: -0.2em;
}
i.iconflushend {
  margin-left: -0.2em;
  margin-right: -0.1em;
}
i.iconinline {
  margin-left: 0.1em;
  margin-right: 0.1em;
}
i.iconleftinline {
  margin-left: -0.2em;
  margin-right: 0.1em;
}
i.iconrightinline {
  margin-left: 0.1em;
  margin-right: -0.2em;
}

/* additional margin below standalone elements/texts */
.margin20 {
  margin-bottom: 20px;
}
.margin40 {
  margin-bottom: 40px;
}

/* FOKUS Aargau blue */
.fa-blue {
  color: #248bcc
}

/* hidden honeypot field class (for Netlify forms) */
.hhpf {
  display: none;
}

/* style ballot type pills */
.ballot-type {
  border: none;
  border-radius: 18px;
  padding-top: 5px;
  padding-bottom: 2px;
  padding-left: 5px;
  padding-right: 5px;
  text-align: center;
  margin: 4px 2px;
  font-size: 12px;
  display: inline;
}

.referendum {
  background-color: #ccc;
}

.election {
  background-color: #ff99ff;
}

div#download-single-links > h5 {
  display: inline-block;
}

/* style media coverage table*/
table.table-media-coverage {
  table-layout: fixed;
  width: 100%;
  border-collapse: collapse;
  margin-bottom: 50px;
}

table.table-media-coverage > caption {
    font-size: 24px;
    font-weight: 900;
    color: #333;
    padding: 0px;
    margin-top: 10px;
    margin-bottom: 40px;
    overflow: hidden;
    text-overflow: ellipsis;
}

table.table-media-coverage > thead tr {
  /* spacing above tbody */
  border-bottom: 10px solid transparent;
}
table.table-media-coverage > thead tr th {
  font-size: 18px;
  font-weight: 900;
  color: #333;
  overflow: hidden;
  text-overflow: ellipsis;
}
table.table-media-coverage > thead tr th#col_date {
  width: 14%;
  text-align: right;
  padding-right: 25px;
}

@media(max-width: 1200px) {
  table.table-media-coverage > thead tr th#col_date {
    width: 20%;
  }
}
@media(max-width: 480px) {
  table.table-media-coverage > thead tr th#col_date {
    width: 25%;
  }
}

table.table-media-coverage > thead tr th#col_medium {
  width: 26%;
  padding-right: 10px;
}

table.table-media-coverage td {
  padding-top: 10px;
  padding-bottom: 10px;
  overflow: hidden;
  text-overflow: ellipsis;
}

table.table-media-coverage td[headers=col_date] {
  text-align: right;
  padding-right: 25px;
}

table.table-media-coverage td[headers=col_medium] {
  padding-right: 10px;
}

/* zebra-striped rows */
table.table-media-coverage > tbody tr:nth-child(odd) {
  background-color: #f2f2f2;
}
